Subject: How do I make git-format-patch reject 8-bit encodings?

From: Timur Tabi <[email-masked]>
Date: Mon, 21 Feb 2011 16:11:33 -0600

Is there any way to get git-format-patch to refuse to create a patch that has
8-bit characters in it?  That is, if a given commit somehow has an 8-bit
character (e.g. utf-encoded), then I want git-format-patch to refuse to create a
patch for that commit.

Also, how can I do the same thing with git-send-email?  That is, if the patch
requires an 8-bit encoding, how do I get it to refuse to send the patch?

-- 
Timur Tabi
Linux kernel developer at Freescale